<?xml version="1.0"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:aml="http://schemas.microsoft.com/aml/2001/core" 
    xmlns:o="urn:schemas-microsoft-com:office:office" 
    xmlns:sl="http://schemas.microsoft.com/schemaLibrary/2003/core" 
    xmlns:st1="urn:schemas-microsoft-com:office:smarttags"
    xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
    xmlns:w10="urn:schemas-microsoft-com:office:word" 
    xmlns:v="urn:schemas-microsoft-com:vml" 
    version="1.1"
    >
<xsl:output method="xml" indent="yes" />
<xsl:strip-space elements="*"/>

<xsl:template match="/">  
<w:document>
    <w:tbl>
        <w:tblPr>
            <w:tblStyle w:val="TableGrid"/>
            <w:tblW w:w="0" w:type="auto"/>
            <w:tblLook w:val="00BF"/>
        </w:tblPr>
        <w:tblGrid>
            <w:gridCol w:w="1686"/>
            <w:gridCol w:w="2340"/>
            <w:gridCol w:w="4500"/>
        </w:tblGrid>
        <w:tr>
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="1687" w:type="dxa"/>
                    <w:tcBorders>
                        <w:bottom w:val="single" w:sz="4" w:space="0"  w:color="auto"/>
                        <w:right w:val="single"/>
			<w:left w:val="single"/>
			<w:top w:val="single"/>
                    </w:tcBorders>
		    <w:shd w:val="clear" w:color="auto" w:fill="D8D8D8"/>
                    <w:vAlign w:val="center"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:pStyle w:val="Header"/>
                        <w:tabs>
                            <w:tab w:val="clear" w:pos="4320"/>
                            <w:tab w:val="clear" w:pos="8640"/>
                        </w:tabs>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                        <w:t>NAME</w:t>
                    </w:r>
                </w:p>
            </w:tc>
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="2340" w:type="dxa"/>
                    <w:tcBorders>
                        <w:left w:val="nil"/>
                        <w:bottom w:val="single" w:sz="4" w:space="0" w:color="auto"/>
                        <w:right w:val="single"/>
			<w:top w:val="single"/>
                    </w:tcBorders>
		    <w:shd w:val="clear" w:color="auto" w:fill="D8D8D8"/>
                    <w:vAlign w:val="center"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:pStyle w:val="Header"/>
                        <w:tabs>
                            <w:tab w:val="clear" w:pos="4320"/>
                            <w:tab w:val="clear" w:pos="8640"/>
                        </w:tabs>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                        <w:t>DESIGNATION</w:t>
                    </w:r>
                </w:p>
            </w:tc>
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="4500" w:type="dxa"/>
                    <w:tcBorders>
                        <w:left w:val="nil"/>
                        <w:bottom w:val="single" w:sz="4" w:space="0" w:color="auto"/>
			<w:top w:val="single"/>
			<w:right w:val="single"/>
                    </w:tcBorders>
		    <w:shd w:val="clear" w:color="auto" w:fill="D8D8D8"/>
                    <w:vAlign w:val="center"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:pStyle w:val="Header"/>
                        <w:tabs>
                            <w:tab w:val="clear" w:pos="4320"/>
                            <w:tab w:val="clear" w:pos="8640"/>
                        </w:tabs>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
			    <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                        <w:t>COUNTRY</w:t>
                    </w:r>
                </w:p>
            </w:tc>
        </w:tr>
	<w:tr>
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="1687" w:type="dxa"/>
                    <w:tcBorders>
                        <w:bottom w:val="single" w:sz="4" w:space="0"  w:color="auto"/>
                        <w:right w:val="single"/>
			<w:left w:val="single"/>
                    </w:tcBorders>
		    <w:shd w:val="clear" w:color="auto" w:fill="FFFFFF"/>
                    <w:vAlign w:val="center"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:pStyle w:val="Header"/>
                        <w:tabs>
                            <w:tab w:val="clear" w:pos="4320"/>
                            <w:tab w:val="clear" w:pos="8640"/>
                        </w:tabs>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                        <w:t>Vinod</w:t>
                    </w:r>
                </w:p>
            </w:tc>
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="2340" w:type="dxa"/>
                    <w:tcBorders>
                        <w:left w:val="nil"/>
                        <w:bottom w:val="single" w:sz="4" w:space="0" w:color="auto"/>
                        <w:right w:val="single"/>
                    </w:tcBorders>
		    <w:shd w:val="clear" w:color="auto" w:fill="FFFFFF"/>
                    <w:vAlign w:val="center"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:pStyle w:val="Header"/>
                        <w:tabs>
                            <w:tab w:val="clear" w:pos="4320"/>
                            <w:tab w:val="clear" w:pos="8640"/>
                        </w:tabs>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                        <w:t>Software developer</w:t>
                    </w:r>
                </w:p>
            </w:tc>
            <w:tc>
                <w:tcPr>
                    <w:tcW w:w="4500" w:type="dxa"/>
                    <w:tcBorders>
                        <w:left w:val="nil"/>
			<w:right w:val="single"/>
                        <w:bottom w:val="single" w:sz="4" w:space="0" w:color="auto"/>
                    </w:tcBorders>
		    <w:shd w:val="clear" w:color="auto" w:fill="FFFFFF"/>
                    <w:vAlign w:val="center"/>
                </w:tcPr>
                <w:p>
                    <w:pPr>
                        <w:pStyle w:val="Header"/>
                        <w:tabs>
                            <w:tab w:val="clear" w:pos="4320"/>
                            <w:tab w:val="clear" w:pos="8640"/>
                        </w:tabs>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
                            <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                    </w:pPr>
                    <w:r>
                        <w:rPr>
                            <w:rFonts w:ascii="Arial" w:hAnsi="Arial" w:cs="Arial"/>
			    <w:b/>
                            <w:sz w:val="20"/>
                            <w:szCs w:val="20"/>
                        </w:rPr>
                        <w:t>INDIA</w:t>
                    </w:r>
                </w:p>
            </w:tc>
        </w:tr>
    </w:tbl>
</w:document>
</xsl:template>
</xsl:stylesheet>
  
