import java.io.FileNotFoundException;
import java.io.IOException;

import org.jdom.JDOMException;

import com.j2docx.operations.DOCXHandler;
import com.j2docx.spray.BookmarkSprayer;

import com.j2docx.DocxHandlerException;

/**
 * @author j2docx
 * Demo for spraying hyperlink
 */
public class HyperlinkSpray {
	
	public static void main(String[] args) {
		
		try{
			//for extraction
			String docPath= "C:/demo/hyperlink/hyperlink.docx";
			String targetDirPath="C:/demo/hyperlink";
		
			//for archiving
			String extractedPath= "C:/demo/hyperlink/hyperlink";
		
			//Bookmark name
			String bookmarkName="hyp";
			
			String targetName = "j2docx address";
			String targetValue = "http://sourceforge.net/projects/jdocx/";
		
			DOCXHandler docxHandler= new DOCXHandler();
			BookmarkSprayer bmSprayer= new BookmarkSprayer();
		
			//Extracting docx to the targeted directory path
			docxHandler.doExtract(docPath, targetDirPath);

			//Writing hyperlink
			bmSprayer.sprayHyperLink(extractedPath, bookmarkName, targetName, targetValue);
			
			//Archiving back to get docx file
			docxHandler.doZip(extractedPath, docPath);
		}
		catch(DocxHandlerException dhe){
			dhe.printStackTrace();
		}
		catch(FileNotFoundException fnf){
			fnf.printStackTrace();
		}
		catch(IOException ioe){
			ioe.printStackTrace();
		}
		catch(JDOMException jdome){
			jdome.printStackTrace();
		}
	}
}